Add License Conclusion
https://app.fossa.com/api/license-conclusions/concludeAdd a license to the license conclusions for a dependency revision. Requires Edit permission on the dependency revision.
Request body (required) · application/json
dependencyRevisionLocatorstringrequiredThe locator of the dependency revision
scopeobjectrequiredlicenseIdstringrequiredThe license ID to add or remove
originIdstringOptional origin revision or release ID to trigger an issue scan
Responses
201License conclusion added successfullydependencyRevisionLocatorstringrequiredThe locator of the dependency revision
scopeenumrequiredThe scope of the license conclusion. May be `null` for auto-generated conclusions.
projectrevisionrelease_groupreleaseorganizationglobalscopeIdstringrequiredThe ID of the scope (project locator, revision locator, release group ID, etc.). `null` for global conclusions.
concludedLicensesstring[]requiredThe list of concluded licenses for this dependency
createdAtstring <date-time>requiredThe date and time the conclusion was created
updatedAtstring <date-time>requiredThe date and time the conclusion was last updated
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/license-conclusions/concludecurl --request PUT \ --url 'https://app.fossa.com/api/license-conclusions/conclude' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "dependencyRevisionLocator": "npm+lodash$4.17.21", "scope": { "scope": "project", "projectLocator": "git+github.com/fossas/fossa-cli$main" }, "licenseId": "MIT", "originId": "git+github.com/fossas/fossa-cli$main"}'Real request. Mutating methods can change data.